%define module	virtkey
%define name	python-%{module}

Name:		%{name}
Summary:	Python extension for emulating keypresses and getting current keyboard layout
Version:	0.60.0
Release:	%mkrel 4
Source:		http://launchpad.net/python-virtkey/0.50/0.50/+download/%{name}-%{version}.tar.gz
URL:		https://launchpad.net/virtkey
License:	GPLv2+
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:  libxtst-devel
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
Requires:	python

%description
Python-virtkey is a python extension for emulating keypresses and getting
current keyboard layout.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --skip-build --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%py_platsitedir/virtkey.so
%py_platsitedir/*.egg-info




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.60.0-4.mga4
+ Revision: 544554
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.60.0-3.mga4
+ Revision: 499702
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 379673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 07 2011 tv <tv> 0.60.0-1.mga2
+ Revision: 140021
- new release
- do not use macros for rm, python
- drop patch 1 (uneeded)

* Tue Aug 30 2011 colin <colin> 0.50-1.mga2
+ Revision: 136448
- imported package python-virtkey

